ReferenceData sources
Set a document's tags
PATCH
/v1/teams/{team}/sources/{sourceId}/documents/{documentId}Path Parameters
team*string
Team slug or ID
sourceId*string
Format
uuiddocumentId*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/v1/teams/string/sources/497f6eca-6276-4993-bfeb-53cbbbba6f08/documents/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "tags": [ "string" ] }'{ "data": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "sourceId": "797f5a94-3689-4ac8-82fd-d749511ea2b2", "title": "string", "filename": "string", "url": "string", "kind": "string", "sizeBytes": 0, "version": 0, "status": "pending", "errorCode": "string", "errorMessage": "string", "errorDetail": "string", "pages": 0, "chunkCount": 0, "tokenCount": 0, "warnings": [ "string" ], "tags": [ "string" ], "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "processedAt": "2019-08-24T14:15:22Z", "ocr": { "backend": "tesseract", "pages": [ 3, 4, 5, 6, 7 ] } }}